using Seenginx.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Seenginx.Services
{
	public interface ISystemDService
	{
		Task<IEnumerable<ConfigFile>> GetFiles(SystemDFilter filter = null);
		Task<IEnumerable<string>> GetLogMessages(SystemDLogsFilter filter = null);
	}
}